package model

import "LAPP_ACURA_MOM_BACKEND/grmi"

type ShellParam struct {
	TaskId      int           `xorm:"pk int 'TaskId'" json:"ShellParam-TaskId"`
	ShellName   string        `xorm:"pk nvarchar(255) 'ShellName'" json:"ShellParam-ShellName"`
	ParamName   string        `xorm:"pk nvarchar(255) 'ParamName'" json:"ShellParam-ParamName"`
	ParamType   string        `xorm:"nvarchar(255) 'ParamType'" json:"ShellParam-ParamType"`
	ParamValue  string        `xorm:"nvarchar(255) 'ParamValue'" json:"ShellParam-ParamValue"`
	ValueType   int           `xorm:"int 'ValueType'" json:"ShellParam-ValueType"`
	ValueFormat string        `xorm:"nvarchar(255) 'ValueFormat'" json:"ShellParam-ValueFormat"`
	CtlParam1   string        `xorm:"nvarchar(255) 'CtlParam1'" json:"ShellParam-CtlParam1"`
	CtlParam2   string        `xorm:"nvarchar(255) 'CtlParam2'" json:"ShellParam-CtlParam2"`
	CtlParam3   int           `xorm:"int 'CtlParam3'" json:"ShellParam-CtlParam3"`
	CtlParam4   int           `xorm:"int 'CtlParam4'" json:"ShellParam-CtlParam4"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ShellParam-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' " json:"ShellParam-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ShellParam-CreateTime"`
}
